Skip to main content
PUT
/
commerce
/
reservation
/
{reservationId}
/
items
/
{reservationItemId}
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>"
  },
  "cartId": "<string>",
  "changeMessages": [
    {
      "appKey": "<string>",
      "appName": "<string>",
      "correlationId": "<string>",
      "createDate": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "identifier": "<string>",
      "message": "<string>",
      "subject": "<string>",
      "subjectType": "<string>",
      "userId": "<string>",
      "verb": "<string>"
    }
  ],
  "customerAccountId": 123,
  "expirationDateTime": "2023-11-07T05:31:56Z",
  "fulfillmentInfo": {
    "fulfillmentContact": {
      "address": {
        "address1": "<string>",
        "address2": "<string>",
        "address3": "<string>",
        "address4": "<string>",
        "addressType": "<string>",
        "cityOrTown": "<string>",
        "countryCode": "<string>",
        "isValidated": true,
        "postalOrZipCode": "<string>",
        "stateOrProvince": "<string>"
      },
      "companyOrOrganization": "<string>",
      "email": "<string>",
      "firstName": "<string>",
      "id": 123,
      "lastNameOrSurname": "<string>",
      "middleNameOrInitial": "<string>",
      "phoneNumbers": {
        "home": "<string>",
        "mobile": "<string>",
        "work": "<string>"
      }
    },
    "isDestinationCommercial": true,
    "itemLevelShippingMethod": "<string>",
    "shippingMethodCode": "<string>",
    "shippingMethodName": "<string>"
  },
  "id": "<string>",
  "items": [
    {
      "allocationStatus": "<string>",
      "allocations": [
        {
          "allocationId": 123,
          "fulfillmentLocationCode": "<string>",
          "futureDate": "2023-11-07T05:31:56Z",
          "isStateChange": true,
          "itemId": "<string>",
          "productCode": "<string>",
          "quantity": 123,
          "transferLocationCode": "<string>"
        }
      ],
      "allowsBackOrder": true,
      "fulfillmentInfo": {
        "fulfillmentContact": {
          "address": {
            "address1": "<string>",
            "address2": "<string>",
            "address3": "<string>",
            "address4": "<string>",
            "addressType": "<string>",
            "cityOrTown": "<string>",
            "countryCode": "<string>",
            "isValidated": true,
            "postalOrZipCode": "<string>",
            "stateOrProvince": "<string>"
          },
          "companyOrOrganization": "<string>",
          "email": "<string>",
          "firstName": "<string>",
          "id": 123,
          "lastNameOrSurname": "<string>",
          "middleNameOrInitial": "<string>",
          "phoneNumbers": {
            "home": "<string>",
            "mobile": "<string>",
            "work": "<string>"
          }
        },
        "isDestinationCommercial": true,
        "itemLevelShippingMethod": "<string>",
        "shippingMethodCode": "<string>",
        "shippingMethodName": "<string>"
      },
      "fulfillmentLocationCode": "<string>",
      "fulfillmentMethod": "<string>",
      "id": "<string>",
      "inventoryTags": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "lineId": 123,
      "orderItemId": "<string>",
      "product": {
        "bundledProducts": [
          {
            "goodsType": "<string>",
            "measurements": {
              "height": {
                "unit": "<string>",
                "value": 123
              },
              "length": {
                "unit": "<string>",
                "value": 123
              },
              "weight": {
                "unit": "<string>",
                "value": 123
              },
              "width": {
                "unit": "<string>",
                "value": 123
              }
            },
            "name": "<string>",
            "optionAttributeFQN": "<string>",
            "optionValue": null,
            "productCode": "<string>",
            "quantity": 123
          }
        ],
        "condition": "<string>",
        "goodsType": "<string>",
        "isSplitExtrasInShipment": true,
        "isTaxable": true,
        "measurements": {
          "height": {
            "unit": "<string>",
            "value": 123
          },
          "length": {
            "unit": "<string>",
            "value": 123
          },
          "weight": {
            "unit": "<string>",
            "value": 123
          },
          "width": {
            "unit": "<string>",
            "value": 123
          }
        },
        "mfgPartNumber": "<string>",
        "name": "<string>",
        "productCode": "<string>",
        "productType": "<string>",
        "productUsage": "<string>",
        "properties": [
          {
            "attributeFQN": "<string>",
            "values": [
              {
                "stringValue": "<string>",
                "value": null
              }
            ]
          }
        ],
        "serialNumber": "<string>",
        "sku": "<string>",
        "variationProductCode": "<string>"
      },
      "quantity": 123,
      "shippingMethodCode": "<string>",
      "suggestions": [
        {
          "futureDate": "2023-11-07T05:31:56Z",
          "locationCode": "<string>",
          "productCode": "<string>",
          "quantity": 123,
          "suggestionType": "<string>"
        }
      ]
    }
  ],
  "orderId": "<string>",
  "orderNumber": 123,
  "reservationType": "<string>",
  "siteId": 123,
  "status": "<string>",
  "tenantId": 123,
  "userId": "<string>",
  "zipCode": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

reservationId
string
required
reservationItemId
string
required

Query Parameters

zipCode
string
runSynchronous
boolean
default:false
responseFields
string

limits which fields are returned in the response body

Body

application/json
allocationStatus
string | null
allocations
object[] | null
allowsBackOrder
boolean
fulfillmentInfo
object
fulfillmentLocationCode
string | null
fulfillmentMethod
string | null
id
string | null
inventoryTags
object[] | null
lineId
integer<int32>
orderItemId
string | null
product
object
quantity
integer<int32>
shippingMethodCode
string | null
suggestions
object[] | null

Response

Success

auditInfo
object
cartId
string | null
changeMessages
object[] | null
customerAccountId
integer<int32> | null
expirationDateTime
string<date-time> | null
fulfillmentInfo
object
id
string | null
items
object[] | null
orderId
string | null
orderNumber
integer<int32> | null
reservationType
string | null
siteId
integer<int32> | null
status
string | null
tenantId
integer<int32> | null
userId
string | null
zipCode
string | null